'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = count;

var _sequence = require('./sequence');

var _sequence2 = _interopRequireDefault(_sequence);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合に含まれる要素の数を返します。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {number} 集合に含まれる要素の数
 */
function count(coll) {
  let i = 0;

  for (const _ of (0, _sequence2.default)(coll)) {
    i++;
  }

  return i;
}