'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = fnext;

var _first = require('./first');

var _first2 = _interopRequireDefault(_first);

var _next = require('./next');

var _next2 = _interopRequireDefault(_next);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合の2番目以降の要素の最初の要素（つまり2番目の要素）を返します。first(next(coll))と同じです。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return 集合の2番目以降の要素の最初の要素（つまり2番目の要素）
 */
function fnext(coll) {
  return (0, _first2.default)((0, _next2.default)(coll));
}