'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = nnext;

var _next = require('./next');

var _next2 = _interopRequireDefault(_next);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合の2番目以降の要素の2番目以降の要素（つまり3番目以降の要素）を返します。next(next(coll))と同じです。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {iterator | null} 集合の最初の要素の2番目の要素から最後の要素までのイテレーター
 */
function nnext(coll) {
  return (0, _next2.default)((0, _next2.default)(coll));
}