'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = reverse;

var _rseq = require('./rseq');

var _rseq2 = _interopRequireDefault(_rseq);

var _sequence = require('./sequence');

var _sequence2 = _interopRequireDefault(_sequence);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合の要素を逆順にします。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {iterator} 逆順の集合のイテレーター
 */
function reverse(coll) {
  return (0, _sequence2.default)((0, _rseq2.default)(Array.from((0, _sequence2.default)(coll))));
}