'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = isEmpty;

var _seq = require('./seq');

var _seq2 = _interopRequireDefault(_seq);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合が空か調べます。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {boolean} 集合が空ならtrue、そうでなければfalse
 */
function isEmpty(coll) {
  if (!(0, _seq2.default)(coll)) {
    return true;
  }

  return false;
}