'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = nfirst;

var _first = require('./first');

var _first2 = _interopRequireDefault(_first);

var _next = require('./next');

var _next2 = _interopRequireDefault(_next);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合の最初の要素の2番目の要素から最後の要素までのイテレーターを返します。next(first(coll))と同じです。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {iterator | null} 集合の最初の要素の2番目の要素から最後の要素までのイテレーター
 */
function nfirst(coll) {
  return (0, _next2.default)((0, _first2.default)(coll));
}