'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = notAny;

var _some = require('./some');

var _some2 = _interopRequireDefault(_some);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 集合の要素の中に、条件を満たすものが1つもないことを確認します。someの反対です。
 *
 * @param {function} pred - 条件
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {boolean} 条件を満たす要素が1つもなければtrue、そうでなければfalse
 */
function notAny(pred, coll) {
  return !(0, _some2.default)(pred, coll);
}