'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = second;

var _nth = require('./nth');

var _nth2 = _interopRequireDefault(_nth);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 2番目の要素を抽出します。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {*} 2番目の要素
 */
function second(coll) {
  return (0, _nth2.default)(coll, 1);
}