"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = sequence;
/**
 * 集合からイテレーターを取得します。
 *
 * @param {*[] | iterator | null} coll - 集合
 *
 * @return {iterator} イテレーター
 */
function sequence(coll) {
  if (coll === null) {
    return [][Symbol.iterator]();
  }

  return coll[Symbol.iterator]();
}