'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = someFn;

var _some = require('./some');

var _some2 = _interopRequireDefault(_some);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * 引数で指定される条件を一つでも満たすかを確認する関数を生成します。
 *
 * @param {function[]} fs - 関数
 *
 * @return {function} 生成された関数
 */
function someFn(...fs) {
  return (...args) => (0, _some2.default)(f => f(...args), fs);
}